Debian Bug report logs - #492871
rosegarden: crash on shutdown if midi initialisation failed

version graph

Package: rosegarden; Maintainer for rosegarden is Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>; Source for rosegarden is src:rosegarden.

Reported by: "Zaki Akhmad" <zakiakhmad@gmail.com>

Date: Tue, 29 Jul 2008 14:33:01 UTC

Severity: normal

Tags: moreinfo

Fixed in version rosegarden/1:10.04.2-1

Done: Mike O'Connor <stew@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Team <debian-multimedia@lists.debian.org>:
Bug#492871; Package rosegarden. Full text and rfc822 format available.

Acknowledgement sent to "Zaki Akhmad" <zakiakhmad@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Multimedia Team <debian-multimedia@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Zaki Akhmad" <zakiakhmad@gmail.com>
To: submit@bugs.debian.org
Subject: Rosegarden
Date: Tue, 29 Jul 2008 21:31:22 +0700
Package: rosegarden

I found this report, while executing rosegarden. Hope it is usefull

(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread 0xb642e8f0 (LWP 3461)]
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[KCrash handler]
#6  0xb7ef8424 in __kernel_vsyscall ()
#7  0xb6d1eef5 in raise () from /lib/i686/cmov/libc.so.6
#8  0xb6d20871 in abort () from /lib/i686/cmov/libc.so.6
#9  0xb6d180ee in __assert_fail () from /lib/i686/cmov/libc.so.6
#10 0xb74264aa in snd_seq_get_queue_status () from /usr/lib/libasound.so.2
#11 0x0808e8f6 in Rosegarden::AlsaDriver::getAlsaTime ()
#12 0x0808ea79 in Rosegarden::AlsaDriver::shutdown ()
#13 0x080b1dca in Rosegarden::SoundDriverFactory::createDriver ()
#14 0x080b9b71 in Rosegarden::RosegardenSequencerApp::RosegardenSequencerApp
    ()
#15 0x080b3935 in main ()


-- 
Zaki Akhmad




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Team <debian-multimedia@lists.debian.org>:
Bug#492871; Package rosegarden. (Mon, 02 Mar 2009 14:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to stew@vireo.org (Mike O'Connor):
Extra info received and forwarded to list. Copy sent to Debian Multimedia Team <debian-multimedia@lists.debian.org>. (Mon, 02 Mar 2009 14:54:06 GMT) Full text and rfc822 format available.

Message #10 received at 492871@bugs.debian.org (full text, mbox):

From: stew@vireo.org (Mike O'Connor)
To: 492871-submitter@bugs.debian.org, 492871@bugs.debian.org
Subject: moreninfo
Date: Mon, 2 Mar 2009 09:51:07 -0500 (EST)
tag 492871 moreinfo
thanks

This alone is not very useful.  Please see: http://wiki.debian.org/HowToGetABacktrace

thanks,
stew




Tags added: moreinfo Request was from stew@vireo.org (Mike O'Connor) to control@bugs.debian.org. (Mon, 02 Mar 2009 14:54:07 GMT) Full text and rfc822 format available.

Message sent on to "Zaki Akhmad" <zakiakhmad@gmail.com>:
Bug#492871. (Mon, 02 Mar 2009 14:54:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Team <debian-multimedia@lists.debian.org>:
Bug#492871; Package rosegarden. (Thu, 27 Aug 2009 11:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arnout Engelen <arnouten@bzzt.net>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Team <debian-multimedia@lists.debian.org>. (Thu, 27 Aug 2009 11:51:05 GMT) Full text and rfc822 format available.

Message #20 received at 492871@bugs.debian.org (full text, mbox):

From: Arnout Engelen <arnouten@bzzt.net>
To: 492871@bugs.debian.org
Subject: more logging
Date: Thu, 27 Aug 2009 13:30:55 +0200
Actually this stacktrace does tell us something - there was a bug in the 
shutdown code, getAlsaTime() was called from outside the check on the midi
handle.

This particular crash has now been fixed upstream (both on trunk and on the 
1.7-branch, svn revisions 10771 and 10771). However, it is only triggered in 
this way if initialising the ALSA sound/midi driver has failed. 

Did you expect the ALSA sound/midi initialisation to fail in your case? If so,
then I think this bug is now fixed upstream. If not, could you start 
rosegarden from the commandline and provide any more logging leading up to
the crash?




Changed Bug title to 'rosegarden: crash on shutdown if midi initialisation failed' from 'Rosegarden' Request was from Stuart Prescott <stuart+debian@nanonanonano.net> to control@bugs.debian.org. (Wed, 31 Mar 2010 16:42:03 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Stuart Prescott <stuart+debian@nanonanonano.net> to control@bugs.debian.org. (Wed, 31 Mar 2010 17:18:07 GMT) Full text and rfc822 format available.

Reply sent to Mike O'Connor <stew@debian.org>:
You have taken responsibility. (Thu, 13 May 2010 03:36:05 GMT) Full text and rfc822 format available.

Notification sent to "Zaki Akhmad" <zakiakhmad@gmail.com>:
Bug acknowledged by developer. (Thu, 13 May 2010 03:36:05 GMT) Full text and rfc822 format available.

Message #29 received at 492871-close@bugs.debian.org (full text, mbox):

From: Mike O'Connor <stew@debian.org>
To: 492871-close@bugs.debian.org
Subject: Bug#492871: fixed in rosegarden 1:10.04.2-1
Date: Thu, 13 May 2010 03:34:02 +0000
Source: rosegarden
Source-Version: 1:10.04.2-1

We believe that the bug you reported is fixed in the latest version of
rosegarden, which is due to be installed in the Debian FTP archive:

rosegarden_10.04.2-1.debian.tar.gz
  to main/r/rosegarden/rosegarden_10.04.2-1.debian.tar.gz
rosegarden_10.04.2-1.dsc
  to main/r/rosegarden/rosegarden_10.04.2-1.dsc
rosegarden_10.04.2-1_amd64.deb
  to main/r/rosegarden/rosegarden_10.04.2-1_amd64.deb
rosegarden_10.04.2.orig.tar.gz
  to main/r/rosegarden/rosegarden_10.04.2.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 492871@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mike O'Connor <stew@debian.org> (supplier of updated rosegarden package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 12 May 2010 21:02:42 -0400
Source: rosegarden
Binary: rosegarden
Architecture: source amd64
Version: 1:10.04.2-1
Distribution: unstable
Urgency: low
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Changed-By: Mike O'Connor <stew@debian.org>
Description: 
 rosegarden - music editor and MIDI/audio sequencer
Closes: 490673 492871 510661 556326 565071 567797 573802
Changes: 
 rosegarden (1:10.04.2-1) unstable; urgency=low
 .
   [ Stuart Prescott ]
   * New upstream version 10.04 (Closes: #573802, #565071, #567797)
     - rosegardensequencer no longer exists (Closes: #510661, #492871, #490673)
   * Change build system to dh7 and 3.0 (quilt)
   * Drop all existing Debian patches (no longer required)
   * Update packaging for new upstream version
   * Update manpage for new upstream version
   * Patch clean target of Makefile to clean all autogenerated files
   * Explicitly link against libz, libdl and libX11 (Closes: #556326)
   * Switch maintainer to pkg-multimedia
   * Add myself as an uploader
   * Bump standards-version to 3.8.4 (no changes required)
 .
   [ Mike O'Connor ]
   * remove myself from uploaders
Checksums-Sha1: 
 9f1dcf67ab63cbc049bbd506fd2788b61d4fac8e 1869 rosegarden_10.04.2-1.dsc
 69b80dd49b9c3ee8f2ac874324c2dbea7b91c6e0 6961567 rosegarden_10.04.2.orig.tar.gz
 768fb02551c03c725edabdb7294d72c615f5e37c 11845 rosegarden_10.04.2-1.debian.tar.gz
 e91a775fc13a1dfaf781dcbb6e7b9f23a8483037 8037824 rosegarden_10.04.2-1_amd64.deb
Checksums-Sha256: 
 7ef8fb13698e7ae72b7d1554f32c932a469a52b99be31068389d54e732b1c541 1869 rosegarden_10.04.2-1.dsc
 fd8a6769a36f268baa9e001a7d01b05f597fb7028bd51c543df44be4769f171e 6961567 rosegarden_10.04.2.orig.tar.gz
 4866fcdef044a5372499d5232020528491be357ced08e63568a0e21672c923e4 11845 rosegarden_10.04.2-1.debian.tar.gz
 1e6747135f66fc9650ddab3cf6bf91d2946b58ebe795d5e6d7b0d83b704f0511 8037824 rosegarden_10.04.2-1_amd64.deb
Files: 
 ab4397296ac2dbcf9bf772e9fe899e34 1869 sound extra rosegarden_10.04.2-1.dsc
 f9ce2a05487ee53a0497405215d14b49 6961567 sound extra rosegarden_10.04.2.orig.tar.gz
 8ef56b460b3220d5f3ca2ab67fe40e55 11845 sound extra rosegarden_10.04.2-1.debian.tar.gz
 a85150730c47496f2ba2bc1170027d45 8037824 sound extra rosegarden_10.04.2-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQEcBAEBCAAGBQJL62qzAAoJEF7K+wCjrkSk3NgH/jPbL9cuCA/4STOd9kEIirLi
XGzF/H2UbkS2GUSdW4Tgf1jgejL9c7CDgQhqK4s50vYCQ3egTBNbs6UNhsLhyBkE
ZfmEGuVBR+42yGRE0BP/rVenC2l0vky9aWtRENRicOfvEYUnHmtWUzogQsJwmGzq
DnoXjiy9TuP9eOfpF5sSteTcILlGrwQEY2AghQRhB0UpH2U+Gy7BH5T9KK0mKsz6
V4qIQz/b2qqAXKQ6hHNoVW2YtNlDn9WEYK67aJbYADMYkpvjuJXtujul4A7zD9HV
BWK/Q8uXyqBumP/Z1Vry7Dioo7r2LvYHimqxrnRKxFQydwOx5Nt1zEzcnhXOR4A=
=S7gR
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 20 Jun 2010 07:35:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 07:35:55 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.